AnsweredAssumed Answered

I need the 16.20.1025 driver version or later for my RADEON 6900HD, Please i cant find it

Question asked by ruffa on Aug 31, 2016
Latest reply on Sep 2, 2016 by sharknado2017

When I try to play The Battlefield 1 beta this message shows up, and i had just update my drivers (sorry for my bad Inglish, im from Argentina)

Attachments

Outcomes